

/* music player */
        
        #musicplayer{ 
          font-family: 'basiic';
          font-weight:bold;
          height:30px;
          width:100%;
          left:0;
          top:35;
          z-index: 100;
          position:fixed;
          margin-bottom:20px;  
          display:flex;
          background: linear-gradient(180deg,#4fb3ff 0%, white 45%, #4fb3ff 47%, #4fb3ff 100%);
         border:ridge 2px #4fb3ff;/* border around player */
          outline: solid 2px black;  
         box-shadow: inset 13px 0px 6px -10px #4fb3ff, inset -13px 0px 6px -10px #4fb3ff, inset 0px 13px 6px -10px #ffffff, inset 0px -13px 6px -10px #4fb3ff;";
            }
         
            .songtitle{ 
            display:block;
            padding:2px; /* padding around song title */
            font-family: 'pixel';
            margin-top:4px;
            margin-right: 5px; 
            font-size:15px;
            color:black;
            letter-spacing: 1px; 
        
            background: white;/* background of song title */
            border: gray inset 1px;
               border-radius:6px;
               box-shadow: inset 13px 0px 6px -10px rgb(66 66 66 / 20%), inset -13px 0px 6px -10px rgb(66 66 66 / 56%), inset 0px 13px 6px -10px #ffffff, inset 0px -13px 6px -10px rgb(66 66 66 / 38%);
            }
         
            .controls{
              font-size:12px; /* size of controls */
              text-align:center;
              width:100px;
              height:20px;
              text-decortation:none;
              filter: drop-shadow(2px 0 0 white) drop-shadow(0 2px 0 white) drop-shadow(-2px 0 0 white) drop-shadow(0 -2px 0 white)  drop-shadow(-0.5px 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0.5px black) drop-shadow(0 0.5px black) drop-shadow(0.5px 0.5px 0 black) drop-shadow(0.5px 0.5px 0 black);
            }
         
            .controls td{
               padding-top:5px; /* padding around controls */
            }
         
            .seeking{
              width:75%;
              background: transparent;/* background color of seeking bar */
              display:flex;
              justify-content: space-evenly;
              padding:7px; /* padding around seeking bar */
               
            }
         
            .current-time{  
              padding-right:5px;
              margin-right: 3px; 
             filter: drop-shadow(2px 0 0 white) drop-shadow(0 2px 0 white) drop-shadow(-2px 0 0 white) drop-shadow(0 -2px 0 white)  drop-shadow(-0.5px 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0.5px black) drop-shadow(0 0.5px black) drop-shadow(0.5px 0.5px 0 black) drop-shadow(0.5px 0.5px 0 black);
               
            }
         
            .total-duration{
              padding-left:5px;
              filter: drop-shadow(2px 0 0 white) drop-shadow(0 2px 0 white) drop-shadow(-2px 0 0 white) drop-shadow(0 -2px 0 white)  drop-shadow(-0.5px 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0.5px black) drop-shadow(0 0.5px black) drop-shadow(0.5px 0.5px 0 black) drop-shadow(0.5px 0.5px 0 black);
            }
         
           .ctrlimg {
   height:16px;
   width:16px;
   }
    .ctrlimg:hover{
        cursor:help;
    }
            
            input[type=range] {
                -webkit-appearance: none;
                width: 100%;
              background: transparent;
            }
            
            input[type=range]:focus {
                outline: none;
            }
            
            input[type=range]::-webkit-slider-runnable-track {
                width: 100%;
                height: 6px; /* thickness of seeking track */
                cursor: help;
                border-radius: 6px;
                background: black; /* color of seeking track */
                border: 1px white solid;
            }
        
            input[type=range]::-webkit-slider-thumb {
              
                height: 30px; /* height of seeking square */
                width: 20px; /* width of seeking square */
                background-image:  url('https://file.garden/Zztv0a9yEhr5pmEq/tumblr_40786d3985453eb5412348aad980ac51_3a9a1088_1280%20(1).gif'); /* image of  seeking square */
                background-size: 25px;
                -webkit-appearance: none;
                margin-top: -10px;
                
            }
            
        input[type=range].volume_slider::-webkit-slider-runnable-track { 
            background: white; /* color of volume seeking track */
             filter:drop-shadow(-0.5px 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0 black) drop-shadow(0 0.5px 0.5px black) drop-shadow(0 0.5px black) drop-shadow(0.5px 0.5px 0 black) drop-shadow(0.5px 0.5px 0 black);  /* outline of volume seeking track */ 
            }
            
         input[type=range].volume_slider::-webkit-slider-thumb {
            background-image: url(https://file.garden/Zztv0a9yEhr5pmEq/798d7d72_original.png);/* image of volume seeking square */
            background-size: 20px;
            height: 20px; /* height of volume seeking square */
            width: 20px; 
            margin-top: -8px;
           }
         
         
        .slider_container {  
          width: 15%;       /* width of volume seeker */
          display: flex;
          justify-content: center;
          align-items: center;
        }    





/* basics */
/* ------------------------- */

	:root {
		--text: #f8eef6;
		--border: lightgrey;
		--accent: teal;
		--bg: #dce3e1;
		--gradient-top: white;
		--gradient-bottom: rgb(240, 248, 255, .8);
	}

	}



* { 
	box-sizing: border-box;
}
html {
	overscroll-behavior: none;
}
body {
  width: 100px
	padding: 10px;
	font-family: 'MS PGothic', sans-serif;
	color: var(--text);

/* background */
/* ------------------------- */
	background-image: url("https://64.media.tumblr.com/e68446d3475dbf7713b18088912caf14/eed3670e5d89cc39-57/s400x600/e2e4f1b6b8ad42893ebe0abdb78cf847d1b3429f.gifv");
	background-repeat: repeat;

}


.container {
	max-width: 800px;
	margin: 5vw auto 12px auto;
	 border: 6px solid white;

  background-clip:
    padding-box;

	border-radius: 10px;
	display: flex;
	flex-wrap: wrap;
	padding: 5px;
	gap: 5px;

	/* container background */
/* ------------------------- */
	background-color: var(--gradient-bottom);
  background-image: url(https://i.pinimg.com/originals/04/08/a0/0408a0f9495e3051d7503b5afc9dd10b.gif);
}

.small { flex: 1 1 49%; }
.large { flex: 1 1 82%; }
.full { flex: 1 1 100%; }
.half { flex: 1 1 17%; }





/* navigation bar */
/* ------------------------- */


	:root {
		--bg: #4fb3ff;
		--gradient-top: white;
		--gradient-bottom: rgb(245, 248, 255, 8);
	}


nav {
  height: 26px;
  font-size: 1.25rem;
	border: 2px ridge var(--border);
	border-radius: 5px;
	padding: 5px;
	background-color: #0a0a1c;
  width:130%;
  top:-3;
  margin-left: -20px;
  overflow: hidden;
  position: fixed;
   display:flex;
  z-index: 100;
  
}
nav div {
  
  
	text-align: center;
	font-size: 1.25rem;
	margin: 10px 5px 10px 5px;
  
}
nav a {

  height: 26px;
	display: block;
	margin: 5px;
  padding: 0;
	background: linear-gradient(to top,var(--bg),var(--gradient-bottom));
	border-radius: 5px;
	padding: 2px 7px;
	text-decoration: none;
  float: left;
}
nav a:link, nav a:visited { 
	color: var(--text);
}
nav a:hover, nav a:focus {
	background: linear-gradient(to right,var(--bg), var(--gradient-bottom), var(--gradient-top));
}




section {
	border: 2px ridge var(--border);
	border-radius: 5px;
	background-color: #0a0a1c;
	padding: 5px;
}




h1, h2, h3, h4, h5, h6, p  { 
	margin: 5px;
	line-height: 1.2;
  background-color: #0a0a1c;
}
h1 { 
	font-size: 1.4rem;
	letter-spacing: 2px;
	font-weight: normal;
	text-align: center;
	border-bottom: 2px ridge var(--border);
	padding-bottom: 5px;
  
}
h2 { 
	font-size: 1.25rem;
	font-weight: normal;
	text-align: center;
}
h3 { 
	font-size: 1.1rem;
}
h4 { 
	font-size: 1rem;
	color: var(--accent);
	padding-left: 12px;
}


img { max-width: 100%; }
pre { overflow-x: auto; }


a:hover, a:focus {
	font-style: italic;
}
a:visited {
	color: var(--accent);
}



    .characters {

    flex-wrap: wrap;
    justify-content: center;
  justify-content: flex-start;
}

.icons {
margin: 10px;

    float:left;

}




    
/* cursor */
/* ------------------------- */


html {
  cursor: url(https://64.media.tumblr.com/179de0f393cc90fb96e05f29236fcc82/e9cbf4a284353a66-08/s75x75_c1/5eb494cfb5302f651796e85f47f3841674a50474.gifv), auto;
}    

a, button {
  cursor: url('https://64.media.tumblr.com/5d19db8c00d20d2baea1a986ec91490f/e9cbf4a284353a66-62/s75x75_c1/20fcc1c5140ac0b2ba36f1779cdb4f549dbca142.gifv'), pointer;
}

   
 
/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #21191e; 
  box-shadow: inset 0 0 5px black; 
  border-radius: 0px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #FCACD7; 
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #FCACD7; 